Bug 194612 - Review Request: pstoedit
Review Request: pstoedit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 175257
  Show dependency treegraph
 
Reported: 2006-06-14 08:33 EDT by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 13:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2006-06-14 08:33:30 EDT
Spec URL: http://www.poolshark.org/src/pstoedit.spec
SRPM URL: http://www.poolshark.org/src/pstoedit-3.44-1.src.rpm
Description: Translates PostScript and PDF graphics into other vector formats

Pstoedit converts PostScript and PDF files to various vector graphic
formats. The resulting files can be edited or imported into various
drawing packages. Pstoedit comes with a large set of integrated format
drivers.

Misc notes :

- The main goal of having pstoedit in Extras is for the benefit of inkscape. See bug 175257.

- You'll notice the call to make doesn't use the _smp_flags macros. That's intentional, pstoedit's autoconf setup doesn't like parallel builds. Bug filed upstream.
Comment 1 Patrice Dumas 2006-06-14 11:14:51 EDT
It would be nice for xfig too. 

Not a a blocker but did you consider packaging plotutils, since it
is especially advertized in the readme that it gives much more
output formats.

I am seriously considering packaging ming, and then you'll be able
to enable swf support but it may be approved before that.

From my reading of configure.ac, it seems that you miss 
Buildrequires: gd-devel
gd-devel requires libpng-devel and zlib-devel, but I think that it
makes sense to keep the BR on libpng-devel.

There is a BR (and a Requires) on ghostscript missing (for gs).
Comment 2 Patrice Dumas 2006-06-14 11:24:19 EDT
pstoedit overwrite CXXFLAGS. This should be reported upstream
and in the meantime, the best solution seems to me to be a patch
for
configure
that removes the line 22593

(line 398 in configure.ac for upstream)
Comment 3 Denis Leroy 2006-06-14 19:28:56 EDT
Spec URL: http://www.poolshark.org/src/pstoedit.spec
SRPM URL: http://www.poolshark.org/src/pstoedit-3.44-2.src.rpm

Thanks for catching the missing Req and BRs. I filed the configure.ac bug upstream.

Yes, I was aware of the optional dependency on plotutils, but my main goal was
to close bug 175257 since the ability to import postscript files into inkscape
(and xfig) was requested by multiple people. I would recommend that we go on
with the review of pstoedit without plotutils support for now, and build a new
release later when plotutils is available (I'll work on it). If you submit a
package for ming, I'll review it.
Comment 4 Patrice Dumas 2006-06-15 03:23:06 EDT
There are .so files in /usr/lib/pstoedit/. Are these dlopened
'internal' libraries?
Comment 5 Denis Leroy 2006-06-15 06:47:26 EDT
Right. I had initially put them in the devel package, but that doesn't work.
They're not automatically linked into the pstoedit executable, but rather loaded
internally by pstoedit init code (see src/dynload.cpp).
Comment 6 Patrice Dumas 2006-06-15 10:47:50 EDT
Indeed they seem to qualify as internal dlopened libraries. It is 
somehow strange that upstream don't simply link them, it would be
cleaner, but it isn't really problematic. That was the last issue
I found, so now for the formal review:

* rpmlint is silent
* follow naming guidelines
* licence is GPL and included
* source match upstream 13f24cb070da3f6af82ed84f4e53f049
* build on FC5
* buildrequires seem right, although I haven't built in mock
* ldconfig is run
* creates the directory it owns, except /usr/share/aclocal/. Not a
  big deal, in my opinion, as there are other packages that do that.
  I am not sure but it seems that there were some discussions about
  that, but I can't recall the result. I don't consider that a blocker
  but you may want to raise the issue on the extras list
* things in -devel are right. There are .so in the main package, 
  but these are dlopened libraries

APPROVED
Comment 7 Patrice Dumas 2006-06-15 11:21:41 EDT
(In reply to comment #3)

> release later when plotutils is available (I'll work on it). If you submit a
> package for ming, I'll review it.

I'm not in a hurry to package ming since it evolves rapidly and
is a bit beta. As long as nobody ask explicitly for it I'll 
refrain...
Comment 8 Denis Leroy 2006-06-15 11:50:11 EDT
Patrice, many thanks for your review.

> buildrequires seem right, although I haven't built in mock
I did. Builds cleanly for FC-4, FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.